"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CountriesClient = void 0;
const genericClient_js_1 = require("./genericClient.js");
class CountriesClient {
    constructor(basePath, auth, queryOptions) {
        this.client = new genericClient_js_1.GenericClient({
            basePath: basePath,
            endpointPath: "/countries",
            auth: auth,
            writeTypeName: "CountryWrite",
            singleResponseTypeName: "WrappedCountry",
            multipleResponseTypeName: "WrappedWithMetaArrayCountry",
            queryOptions: queryOptions,
        });
    }
    async create(country) {
        return this.client.create(country);
    }
    async get(id, query = {}) {
        return this.client.get(id, query);
    }
    async find(findParams = {}) {
        return this.client.find(findParams);
    }
    async update(id, country) {
        return this.client.update(id, country);
    }
}
exports.CountriesClient = CountriesClient;
