"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrgsClient = void 0;
const genericClient_js_1 = require("./genericClient.js");
class OrgsClient {
    constructor(basePath, auth, queryOptions) {
        this.client = new genericClient_js_1.GenericClient({
            basePath: basePath,
            endpointPath: "/v2/orgs",
            auth: auth,
            writeTypeName: "OrgWrite",
            singleResponseTypeName: "WrappedOrg",
            multipleResponseTypeName: "WrappedWithMetaArrayOrg",
            queryOptions: queryOptions,
        });
    }
    async create(org) {
        return this.client.create(org);
    }
    async get(id, query = {}) {
        return this.client.get(id, query);
    }
    async find(findParams = {}) {
        return this.client.find(findParams);
    }
    async update(id, org) {
        return this.client.update(id, org);
    }
}
exports.OrgsClient = OrgsClient;
