"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RelationsClient = void 0;
const genericClient_js_1 = require("./genericClient.js");
class RelationsClient {
    constructor(basePath, auth, queryOptions) {
        this.client = new genericClient_js_1.GenericClient({
            basePath: basePath,
            endpointPath: "/relations",
            auth: auth,
            writeTypeName: "RelationWrite",
            singleResponseTypeName: "WrappedRelation",
            multipleResponseTypeName: "WrappedWithMetaArrayRelation",
            queryOptions: queryOptions,
        });
    }
    async create(relation) {
        return this.client.create(relation);
    }
    async get(id, query = {}) {
        return this.client.get(id, query);
    }
    async find(findParams = {}) {
        return this.client.find(findParams);
    }
    async update(id, relation) {
        return this.client.update(id, relation);
    }
}
exports.RelationsClient = RelationsClient;
