"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RolesClient = void 0;
const genericClient_js_1 = require("./genericClient.js");
class RolesClient {
    constructor(basePath, auth, queryOptions) {
        this.client = new genericClient_js_1.GenericClient({
            basePath: basePath,
            endpointPath: "/roles",
            auth: auth,
            writeTypeName: "RoleWrite",
            singleResponseTypeName: "WrappedRole",
            multipleResponseTypeName: "WrappedWithMetaArrayRole",
            queryOptions: queryOptions,
        });
    }
    async create(org) {
        return this.client.create(org);
    }
    async get(id, query = {}) {
        return this.client.get(id, query);
    }
    async find(findParams = {}) {
        return this.client.find(findParams);
    }
}
exports.RolesClient = RolesClient;
