"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultEnvironmentConfig = exports.Environment = void 0;
var Environment;
(function (Environment) {
    Environment[Environment["Prod"] = 0] = "Prod";
    Environment[Environment["Sandbox"] = 1] = "Sandbox";
    Environment[Environment["Dev"] = 2] = "Dev";
    Environment[Environment["Emulator"] = 3] = "Emulator";
})(Environment || (exports.Environment = Environment = {}));
exports.defaultEnvironmentConfig = {
    [Environment.Prod]: {
        apiBaseUrl: "https://api.bcc.no",
        tokenUrl: "https://login.bcc.no/oauth/token",
        oauthAudience: "api.bcc.no",
    },
    [Environment.Sandbox]: {
        apiBaseUrl: "https://sandbox-api.bcc.no",
        tokenUrl: "https://bcc-sso-sandbox.eu.auth0.com/oauth/token",
        oauthAudience: "sandbox-api.bcc.no",
    },
    [Environment.Dev]: {
        apiBaseUrl: "https://dev-api.bcc.no",
        tokenUrl: "https://bcc-sso-dev.eu.auth0.com/oauth/token",
        oauthAudience: "dev-api.bcc.no",
    },
    [Environment.Emulator]: {
        apiBaseUrl: "http://localhost:3010",
        tokenUrl: "http://localhost:3020/token",
        oauthAudience: "localhost:3020",
    },
};
