"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CoreApiError = void 0;
const models_js_1 = require("./models.js");
class CoreApiError extends Error {
    constructor(err, httpResponse) {
        super(err.error?.message);
        this.details = err?.error;
        this.httpResponse = httpResponse;
    }
    get isCoreApiError() {
        return true;
    }
    static fromHttpResponse(res) {
        const error = models_js_1.ObjectSerializer.deserialize(res.data, "ErrorData");
        return new CoreApiError(error, res);
    }
}
exports.CoreApiError = CoreApiError;
