import { Filter } from "./filter.js";
export interface FindQueryParams<T> {
    limit?: number;
    offset?: number;
    page?: number;
    filter?: Filter<T>;
    fields?: string[];
    sort?: Array<Sort | string>;
    options?: QueryOptions;
    search?: string;
}
export interface GetQueryParams {
    fields?: string[];
    options?: QueryOptions;
}
export interface Sort {
    direction: "ascending" | "descending";
    path: string;
}
export interface QueryOptions {
    includePersonsWithoutChurchAffiliation?: boolean;
    includeInactive?: ActiveEntity[];
    orgUids?: string[];
}
export declare enum ActiveEntity {
    Affiliations = "affiliations",
    Consents = "consents",
    RoleAssignments = "roleAssignments",
    Relations = "relations",
    Orgs = "orgs"
}
export declare function serializeFindQueryParams<T>(p: FindQueryParams<T>): URLSearchParams;
export declare function serializeGetQueryParams(p: GetQueryParams): URLSearchParams;
