"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const helpers_js_1 = require("./helpers.js");
const api_js_1 = require("../api.js");
describe("Groups", async () => {
    beforeEach(async () => {
        await helpers_js_1.client.refreshTestData();
    });
    it("Groups find", async () => {
        const result = await helpers_js_1.client.groups.find();
        chai_1.assert.isNotEmpty(result.data);
    });
    it("Groups create", async () => {
        const result = await helpers_js_1.client.groups.create({
            name: "Test",
            type: api_js_1.GroupType.Dynamic,
            rule: `{"displayName": {"_gt": "A"}}`,
            tags: ["Notifications"],
        });
        chai_1.assert.equal(result.data.name, "Test");
        chai_1.assert.equal(result.data.rule, `{"displayName": {"_gt": "A"}}`);
    });
    it("Groups add member", async () => {
        const result = await helpers_js_1.client.groups.addMember(helpers_js_1.groupUid, {
            personUid: helpers_js_1.child1Uid,
        });
        chai_1.assert.equal(result.data.personUid, helpers_js_1.child1Uid);
        chai_1.assert.equal(result.data.groupUid, helpers_js_1.groupUid);
    });
    it("Groups find members", async () => {
        const result = await helpers_js_1.client.groups.findMembers(helpers_js_1.groupUid);
        chai_1.assert.isNotEmpty(result.data);
    });
});
