import { GenericClient } from "./genericClient.js";
export class AffiliationsClient {
    constructor(basePath, auth, queryOptions) {
        this.client = new GenericClient({
            basePath: basePath,
            endpointPath: "/affiliations",
            auth: auth,
            writeTypeName: "AffiliationWrite",
            singleResponseTypeName: "WrappedAffiliation",
            multipleResponseTypeName: "WrappedWithMetaArrayAffiliation",
            queryOptions: queryOptions,
        });
    }
    async create(affiliation) {
        return this.client.create(affiliation);
    }
    async get(id, query = {}) {
        return this.client.get(id, query);
    }
    async find(findParams = {}) {
        return this.client.find(findParams);
    }
    async update(id, affiliation) {
        return this.client.update(id, affiliation);
    }
    async remove(id) {
        return this.client.remove(id);
    }
}
