import { GroupMember, GroupMemberWrite, WrappedGroupMember, WrappedWithMetaArrayGroupMember } from "../api.js";
import { FindQueryParams, GetQueryParams, QueryOptions } from "../model/queryParams.js";
import { Auth } from "./auth.js";
export declare class GroupMembersClient {
    private client;
    private basePath;
    private groupUid;
    private auth;
    constructor(basePath: string, groupUid: string, auth: Auth, queryOptions: QueryOptions);
    create(groupMember: GroupMemberWrite): Promise<WrappedGroupMember>;
    remove(id: string): Promise<WrappedGroupMember>;
    removeByPersonUid(personUid: string): Promise<WrappedGroupMember>;
    get(id: string, query?: GetQueryParams): Promise<WrappedGroupMember>;
    find(findParams?: FindQueryParams<GroupMember>): Promise<WrappedWithMetaArrayGroupMember>;
}
