import { GenericClient } from "./genericClient.js";
export class OrgsClient {
    constructor(basePath, auth, queryOptions) {
        this.client = new GenericClient({
            basePath: basePath,
            endpointPath: "/v2/orgs",
            auth: auth,
            writeTypeName: "OrgWrite",
            singleResponseTypeName: "WrappedOrg",
            multipleResponseTypeName: "WrappedWithMetaArrayOrg",
            queryOptions: queryOptions,
        });
    }
    async create(org) {
        return this.client.create(org);
    }
    async get(id, query = {}) {
        return this.client.get(id, query);
    }
    async find(findParams = {}) {
        return this.client.find(findParams);
    }
    async update(id, org) {
        return this.client.update(id, org);
    }
}
