import { ObjectSerializer } from "./models.js";
export class CoreApiError extends Error {
    constructor(err, httpResponse) {
        super(err.error?.message);
        this.details = err?.error;
        this.httpResponse = httpResponse;
    }
    get isCoreApiError() {
        return true;
    }
    static fromHttpResponse(res) {
        const error = ObjectSerializer.deserialize(res.data, "ErrorData");
        return new CoreApiError(error, res);
    }
}
