/// <reference types="node" resolution-mode="require"/>
/// <reference types="node" resolution-mode="require"/>
import localVarRequest from 'request';
export * from './address.js';
export * from './affiliation.js';
export * from './affiliationType.js';
export * from './affiliationWrite.js';
export * from './checkGroupMembershipsRequest.js';
export * from './checkGroupMembershipsResponse.js';
export * from './consent.js';
export * from './consentPurpose.js';
export * from './consentWrite.js';
export * from './country.js';
export * from './countryWrite.js';
export * from './errorCode.js';
export * from './errorData.js';
export * from './errorDetails.js';
export * from './gender.js';
export * from './grantType.js';
export * from './group.js';
export * from './groupMember.js';
export * from './groupMemberWrite.js';
export * from './groupType.js';
export * from './groupWrite.js';
export * from './maritalStatus.js';
export * from './metadata.js';
export * from './nationalId.js';
export * from './org.js';
export * from './orgActiveStatus.js';
export * from './orgType.js';
export * from './orgWrite.js';
export * from './person.js';
export * from './personRelation.js';
export * from './personRelationType.js';
export * from './personWrite.js';
export * from './preferences.js';
export * from './relation.js';
export * from './relationType.js';
export * from './relationWrite.js';
export * from './role.js';
export * from './roleAssignment.js';
export * from './roleAssignmentWrite.js';
export * from './roleScope.js';
export * from './roleWrite.js';
export * from './searchVisibility.js';
export * from './visibilityPreferences.js';
export * from './wrappedAffiliation.js';
export * from './wrappedCheckGroupMembershipsResponse.js';
export * from './wrappedConsent.js';
export * from './wrappedCountry.js';
export * from './wrappedGroup.js';
export * from './wrappedGroupMember.js';
export * from './wrappedInt.js';
export * from './wrappedOrg.js';
export * from './wrappedPerson.js';
export * from './wrappedRelation.js';
export * from './wrappedRole.js';
export * from './wrappedRoleAssignment.js';
export * from './wrappedWithMetaArrayAffiliation.js';
export * from './wrappedWithMetaArrayConsent.js';
export * from './wrappedWithMetaArrayCountry.js';
export * from './wrappedWithMetaArrayGroup.js';
export * from './wrappedWithMetaArrayGroupMember.js';
export * from './wrappedWithMetaArrayOrg.js';
export * from './wrappedWithMetaArrayPerson.js';
export * from './wrappedWithMetaArrayRelation.js';
export * from './wrappedWithMetaArrayRole.js';
export * from './wrappedWithMetaArrayRoleAssignment.js';
import * as fs from 'fs';
export interface RequestDetailedFile {
    value: Buffer;
    options?: {
        filename?: string;
        contentType?: string;
    };
}
export type RequestFile = string | Buffer | fs.ReadStream | RequestDetailedFile;
export declare class ObjectSerializer {
    static findCorrectType(data: any, expectedType: string): any;
    static serialize(data: any, type: string): any;
    static deserialize(data: any, type: string): any;
}
export interface Authentication {
    applyToRequest(requestOptions: localVarRequest.Options): Promise<void> | void;
}
export declare class HttpBasicAuth implements Authentication {
    username: string;
    password: string;
    applyToRequest(requestOptions: localVarRequest.Options): void;
}
export declare class HttpBearerAuth implements Authentication {
    accessToken: string | (() => string);
    applyToRequest(requestOptions: localVarRequest.Options): void;
}
export declare class ApiKeyAuth implements Authentication {
    private location;
    private paramName;
    apiKey: string;
    constructor(location: string, paramName: string);
    applyToRequest(requestOptions: localVarRequest.Options): void;
}
export declare class OAuth implements Authentication {
    accessToken: string;
    applyToRequest(requestOptions: localVarRequest.Options): void;
}
export declare class VoidAuth implements Authentication {
    username: string;
    password: string;
    applyToRequest(_: localVarRequest.Options): void;
}
export type Interceptor = (requestOptions: localVarRequest.Options) => (Promise<void> | void);
