export var ActiveEntity;
(function (ActiveEntity) {
    ActiveEntity["Affiliations"] = "affiliations";
    ActiveEntity["Consents"] = "consents";
    ActiveEntity["RoleAssignments"] = "roleAssignments";
    ActiveEntity["Relations"] = "relations";
    ActiveEntity["Orgs"] = "orgs";
})(ActiveEntity || (ActiveEntity = {}));
export function serializeFindQueryParams(p) {
    const params = new URLSearchParams();
    if (p.limit)
        params.append("limit", p.limit.toString());
    if (p.offset)
        params.append("offset", p.offset.toString());
    if (p.page)
        params.append("page", p.page.toString());
    if (p.filter)
        params.append("filter", JSON.stringify(p.filter));
    if (p.fields)
        params.append("fields", p.fields.join(","));
    if (p.sort)
        params.append("sort", serializeSort(p.sort));
    if (p.options)
        params.append("options", JSON.stringify(p.options));
    if (p.search)
        params.append("search", p.search);
    return params;
}
function serializeSort(sorts) {
    return sorts
        .map((s) => {
        if (typeof s === "string")
            return s;
        return (s.direction === "descending" ? "-" : "") + s.path;
    })
        .join(",");
}
export function serializeGetQueryParams(p) {
    const params = new URLSearchParams();
    if (p.fields)
        params.append("fields", p.fields.join(","));
    if (p.options)
        params.append("options", JSON.stringify(p.options));
    return params;
}
